Create criterion
POST
/api/v1/criteria
const url = 'https://example.com/api/v1/criteria?projectId=00000000-0000-0000-0000-000000000000';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"id":"example","prompt":"example","dependsOn":["example"],"gates":["select"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/criteria?projectId=00000000-0000-0000-0000-000000000000' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "prompt": "example", "dependsOn": [ "example" ], "gates": [ "select" ] }'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Request Body
Section titled “Request Body ” Media type application/json
object
id
required
string
prompt
required
string
dependsOn
Array<string>
gates
Array<string>
Responses
Section titled “ Responses ”Success
Media type application/json
object
id
required
string
prompt
required
string
dependsOn
Array<string>
gates
Array<string>
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string
Criterion already exists